문서 메뉴
POST/v1/customers/google-play/synchronize

Google Play 구매 동기화

Google Play 구매 토큰을 검증하고 현재 권한을 반환합니다.

요청 본문

packageName필수
string

Purpl에 등록한 Android 패키지 이름입니다.

purchaseToken필수
string

Google Play에서 반환한 구매 토큰입니다.

productKind필수
subscription | one_time_product

Google Play 상품 종류입니다.

productIdentifier선택
string | null

일회성 구매 조회에 사용할 선택 상품 식별자입니다.

applicationAccountIdentifier선택
string | null

앱에서 사용하는 선택 계정 식별자입니다.

응답

200동기화한 고객의 현재 권한입니다.
customerIdentifier필수
string | null · uuid

고객을 확인한 경우 반환하는 Purpl 고객 식별자입니다.

entitlements필수
CustomerEntitlement[]
400요청 값이나 검증한 스토어 데이터가 올바르지 않습니다.
error필수
string

안정적인 기계 판독용 오류 코드입니다.

404앱, 스토어 구성, 고객 또는 페이월을 찾지 못했습니다.
error필수
string

안정적인 기계 판독용 오류 코드입니다.

409고객 신원이 기존 검증 신원과 충돌합니다.
error필수
string

안정적인 기계 판독용 오류 코드입니다.

요청 예시

cURL
curl 'https://api.purpl.sh/v1/customers/google-play/synchronize' \
  --header 'Content-Type: application/json' \
  --data '{
    "packageName": "com.example.app",
    "purchaseToken": "<purchase-token>",
    "productKind": "subscription",
    "productIdentifier": "plus.monthly",
    "applicationAccountIdentifier": "user-123"
  }'